module command.remoteundo.stereoonwithcdcommand;

import command.remoteundo.command;
import command.remoteundo.stereo;

class StereoOnWithCDCommand : Command
{
    Stereo stereo;
 
    this(Stereo stereo)
    {
        this.stereo = stereo;
    }
 
    void execute()
    {
        stereo.on();
        stereo.setCD();
        stereo.setVolume(11);
    }

    void undo()
    {
        stereo.off();
    }
}
